Bug Hunting Session
Bug 115622 - NAVIGATION: Calc fails to page-down accurately, neglects to display certain rows
Summary: NAVIGATION: Calc fails to page-down accurately, neglects to display certain rows
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-11 00:07 UTC by tagishsimon
Modified: 2019-02-14 03:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple file exhibiting the pagedown problem (13.69 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-02-11 00:08 UTC, tagishsimon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tagishsimon 2018-02-11 00:07:07 UTC
Description:
I want to page-down through my speadsheet & visually inspect *all* rows. Depending on which row has cursor focus, LibreOffice either does what you'd expect (shows all rows, as a sequence of pages) or does not do what you'd expect (omits to show certain rows).

Referring to the attached file, in full-screen mode on a macbook pro...

if the cursor focus is on row 1 and I page down, I see the following rows as I page down:
1-44
45-79
79-122
123-169
169-225 ... i.e. all good - I get to see all rows.

If the cursor focus is on row 20 and I page down, I see rows:
1-44
38-71
76-119
122-168 ... so rows 72-75, and rows 120 & 121 were not displayed. 

That's a *huge* problem for my use case, and evidence that LO cannot do something fairly basic: show spreadsheet contents in full as a series of pages as I page down.

Steps to Reproduce:
1. Open file 'pagedown_problem.ods'
2. Place cursor focus on row 20
3. Page down & observe the row range being displayed for each page
4. (optionally: weep)

Actual Results:  
Several rows are not displayed to the user

Expected Results:
all rows should be displayed to the user


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 tagishsimon 2018-02-11 00:08:00 UTC
Created attachment 139766 [details]
Simple file exhibiting the pagedown problem
Comment 2 Alex Thurgood 2018-02-12 11:43:36 UTC
@taglshslmon : which full screen mode are we talking about here ?
Comment 3 Alex Thurgood 2018-02-12 11:51:04 UTC
OK, I can confirm this in normal windowed mode, i.e. without full screen activation and 

Version: 6.0.0.3
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
Threads CPU : 4; OS : Mac OS X 10.13.3; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 4 tagishsimon 2018-02-12 13:16:52 UTC
Yes, apologies; I thought I'd posted a response but ... 

... by fullscreen I meant 'having hit the green fullscreen button'; the issue is not dependent on that. Having a normal window open arbitrarily sized to display ~33 rows, and with cursor focus on row 20, I page down and see rows:

1-33
27-53
53-77
80-109 <- so here we missed rows 78 & 79.

The key appears to be that the cursor focus is about half-way down a page when the page-downs are done.
Comment 5 Telesto 2018-02-12 19:20:42 UTC Comment hidden (obsolete)
Comment 6 tagishsimon 2018-02-13 14:55:23 UTC Comment hidden (obsolete)
Comment 7 Telesto 2018-02-13 15:35:17 UTC
(In reply to tagishsimon from comment #6)
Sorry, my bad. Anyway, not Mac specific.

Repro with:
Version: 6.1.0.0.alpha0+
Build ID: 8a0b61172a14b8b766a2e85f27762db3558d3af7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-06_03:28:54
Locale: nl-NL (nl_NL); Calc: CL
Comment 8 Telesto 2018-02-13 15:46:39 UTC
Repro with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL

Similar behavior with
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 9 QA Administrators 2019-02-14 03:48:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug